1 2 3 4 5 6

Vulnerabilidades rss pdf

Coordinación de Seguridad de la Información - UNAM-CERT -- DGTIC-UNAM

Bolwin de Seguridad UNAM-CERT-2009-011 Vulnerabilidades en Windows podrían permitir elevación de privilegios

Esta actualización de seguridad resuelve cuatro vulnerabilidades divulgadas públicamente en Microsoft Windows. Las vulnerabilidades podrían permitir la elevación de privilegios si se le permite a un atacante tener acceso al sistema y después correr una aplicación especialmente preparada. El atacante debe ser capaz de correr código en la maquina local con el fin de explotar esta vulnerabilidad. Un atacante que explotara exitosamente alguna de estas vulnerabilidades podría tomar control completo sobre el sistema afectado. Esta actualización de seguridad es calificada como Importante para todas las ediciones con soporte de Microsoft Windows 2000, Windows XP, Windows Server 2003, Windows Vista, y Windows Server 2008. La actualización de seguridad cubre las vulnerabilidades corrigiendo la forma en que Microsoft Windows direcciona peticiones de tokens hechas por Microsoft Distributed Transaction Coordinator (MSDTC), y por el aislamiento de los proveedores y procesos que corren bajo las cuentas NetworkService y el LocalService.

  • Fecha de Liberación: 14-Abr-2009
  • Ultima Revisión: 15-Abr-2009
  • Fuente: Microsoft Corp.
  • CVE ID: CVE-2008-1436 CVE-2009-0078 CVE-2009-0079 CVE-2009-0080
  • Riesgo Importante
  • Problema de Vulnerabilidad Remoto
  • Tipo de Vulnerabilidad Elevación de privilegios

Sistemas Afectados

Microsoft Windows Microsoft Windows 2000 Service Pack 4 KB952004
Microsoft Windows Windows Server 2003 Service Pack 1 and Windows Server 2003 Service Pack 2 KB952004
Microsoft Windows Windows Server 2003 with SP1 for Intanium-based Systems and Windows Server 2003 with SP2 for Intanium-based Systems KB952004
Microsoft Windows Windows Server 2003 x64 Edition and Windows Server 2003 x64 Edition Service Pack 2 KB952004
Microsoft Windows Windows Server 2008 for 32-bit Systems KB952004
Microsoft Windows Windows Server 2008 for Itanium-based Systems KB952004
Microsoft Windows Windows Vista and Windows Vista Service Pack 1 KB952004
Microsoft Windows Windows Vista x64 Edition and Windows Vista x64 Edition Service Pack 1 KB952004
Microsoft Windows Windows XP Professional x64 Edition and Windows XP Professional x64 Edition Service Pack 2 KB952004)
Microsoft Windows Windows XP Service Pack 2 and Windows XP Service Pack 3 KB952004
  1. Índice de Explotabilidad

    Vulnerabilidad 1 - CVE-2008-1436

    Código de explotación consistente

    Vulnerabilidad 2 - CVE-2008-0078

    Código de explotación consistente

    Vulnerabilidad 3 - CVE-2009-0079

    Código de explotación consistente

    Vulnerabilidad 4 - CVE-2009-0080

    Código de explotación consistente

  2. Descripción

    Vulnerabilidad 1 - CVE-2008-1436

    Una vulnerabilidad de elevación de privilegios existe en Microsoft Distributed Transaction Coordinator (MSDTC) en la operación de la instalación en plataformas Microsoft Windows. MSDTC deja un token NetworkService que puede ser imitado por cualquier proceso que lo llama dentro de el. La vulnerabilidad permite a un proceso que no está corriendo bajo la cuenta NetworkService, pero que tiene el SeImpersonatePrivilege, elevar sus privilegios a NetworkService y ejecutar código con privilegios NetworkService.

    Vulnerabilidad 2 - CVE-2008-0078

    Una vulnerabilidad de elevación de privilegios existe debido a que el proveedor de Windows Managment Instrumentation (WMI) aísla procesos de manera inapropiada que corren bajo las cuentas de NetworkService o LocalService. La vulnerabilidad podría permitir aun atacante correr código con privilegios elevados. Un atacante que explota exitosamente esta vulnerabilidad podría ejecutar código arbitrario y tomar control completo de un sistema afectado.

    Vulnerabilidad 3 - CVE-2009-0079

    Una vulnerabilidad de elevación de privilegios existe debido a que el servicio RPCSS aísla de manera inapropiada los procesos que corren bajo las cuentas NetworkService o LocalService. La vulnerabilidad podría permitir aun atacante correr código con privilegios elevados. Un atacante que explota exitosamente esta vulnerabilidad podría ejecutar código arbitrario y tomar control completo de un sistema afectado.

    Vulnerabilidad 4 - CVE-2009-0080

    Una vulnerabilidad de elevación de privilegios existe debido a la incorrecta ubicación de las listas de control de acceso de Windows (ACLs) sobre hilos en el actual ThreadPool. La vulnerabilidad podría permitir aun atacante correr código con privilegios elevados.

  3. Impacto

    Vulnerabilidad 1 - CVE-2008-1436

    Un atacante que explota exitosamente esta vulnerabilidad podría ejecutar código arbitrario y tomar control completo de un sistema afectado. Un atacante podría entonces instalar programas; ver, modificar; o eliminar datos; o crear nuevas cuentas de usuario con todos los privilegios.

    Vulnerabilidad 2 - CVE-2008-0078

    Un atacante que explota exitosamente esta vulnerabilidad podría ejecutar código arbitrario y tomar control completo de un sistema afectado. Un atacante podría entonces instalar programas; ver, modificar; o eliminar datos; o crear nuevas cuentas de usuario con todos los privilegios.

    Vulnerabilidad 3 - CVE-2009-0079

    Un atacante que explota exitosamente esta vulnerabilidad podría ejecutar código arbitrario y tomar control completo de un sistema afectado. Un atacante podría entonces instalar programas; ver, modificar; o eliminar datos; o crear nuevas cuentas de usuario con todos los privilegios.

    Vulnerabilidad 4 - CVE-2009-0080

    Un atacante que explota exitosamente esta vulnerabilidad podría ejecutar código arbitrario y tomar control completo de un sistema afectado. Un atacante podría entonces instalar programas; ver, modificar; o eliminar datos; o crear nuevas cuentas de usuario con todos los privilegios.

  4. Solución

    Vulnerabilidad 1 - CVE-2008-1436, Vulnerabilidad 2 - CVE-2009-0078, Vulnerabilidad 3 - CVE-2009-0079 y Vulnerabilidad 4 - CVE-2009-0080-

    1. Microsoft Windows 2000 Service Pack 4

    2. Windows XP Service Pack 2 and Windows XP Service Pack 3

    3. Windows XP Professional x64 Edition and Windows XP Professional x64 Edition Service Pack 2

    4. Windows Server 2003 Service Pack 1 and Windows Server 2003 Service Pack 2

    5. Windows Server 2003 x64 Edition and Windows Server 2003 x64 Edition Service Pack 2

    6. Windows Server 2003 with SP1 for Itanium-based Systems and Windows Server 2003 with SP2 for Itanium-based Systems

    7. Windows Vista and Windows Vista Service Pack 1

    8. Windows Vista x64 Edition and Windows Vista x64 Edition Service Pack 1

    9. Windows Server 2008 for 32-bit Systems

    10. Windows Server 2008 for x64 based Systems

    11. Windows Server 2008 for Itanium-based Systems

  5. Referencias

    http://www.microsoft.com/technet/security/bulletin/ms09-apr.mspx

    http://www.microsoft.com/technet/security/bulletin/MS09-012.mspx

La Coordinación de Seguridad de la Información/UNAM-CERT agradece el apoyo en la elaboración ó traducción y revisión de éste Documento a:

  • Mayra Villeda (mvilleda at seguridad dot unam dot mx)
  • Francisco Carlos Martínez Godínez (fmartinez at seguridad dot unam dot mx)
  • J. Roberto Sánchez Soledad (roberto dot sanchez at cert dot unam dot mx)

UNAM-CERT
Equipo de Respuesta a Incidentes UNAM
Coordinación de Seguridad de la Información

incidentes at seguridad.unam.mx
phishing at seguridad.unam.mx
http://www.cert.org.mx
http://www.seguridad.unam.mx
ftp://ftp.seguridad.unam.mx
Tel: 56 22 81 69
Fax: 56 22 80 47


Universidad Nacional Autonoma de México Aviso legal |  Créditos |  Staff |  Administración
Copyright © Todos los derechos reservados
UNAM - CERT